/// <reference types="react" />
/**
 * Adapted straight from react-mui, with a small change.
 * @see https://www.unpkg.com/browse/react-gui@0.2.1/src/modules/getAccessibilityElementWithSideEffect.js
 */
declare const roleToElementType: {
    readonly article: "article";
    readonly banner: "header";
    readonly blockquote: "blockquote";
    readonly button: "button";
    readonly code: "code";
    readonly complementary: "aside";
    readonly contentinfo: "footer";
    readonly deletion: "del";
    readonly emphasis: "em";
    readonly figure: "figure";
    readonly insertion: "ins";
    readonly form: "form";
    readonly link: "a";
    readonly list: "ul";
    readonly listitem: "li";
    readonly main: "main";
    readonly navigation: "nav";
    readonly region: "section";
    readonly strong: "strong";
    readonly presentation: "div";
    readonly group: "fieldset";
};
type RoleMap = typeof roleToElementType;
export type Role = keyof RoleMap;
export type SupportedElements = RoleMap[Role] & keyof JSX.IntrinsicElements;
export default roleToElementType;
